Xeonr Developer Docs

Get processing context (internal)

POST
/uplim.api.v1.InternalUploadsService/GetProcessingContext

Retrieves the processing context for an upload including source download URL, intent metadata, folder context, and thumbnail parser configuration. Authenticated by the in-band update_token; no Bearer required.

AuthorizationBearer <token>

JWT access token obtained via OAuth2 flow or service account

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

updateToken?string
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.InternalUploadsService/GetProcessingContext" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "sourceDownloadUrl": "string",
  "sourceUrlExpiresAt": "2023-01-15T01:30:15.01Z",
  "aiDescriptionInputRef": "string",
  "intentMetadata": {
    "property1": {},
    "property2": {}
  },
  "folderContext": {
    "folderId": "string",
    "folderPath": "string",
    "files": [
      {
        "uploadId": "string",
        "filename": "string",
        "slug": "string",
        "sizeBytes": 0,
        "downloadUrl": "string"
      }
    ]
  },
  "candidateContentTypes": [
    {
      "id": "string",
      "urn": "string",
      "matcherPriority": 0,
      "matcher": "string",
      "contentTypeConfig": "string"
    }
  ],
  "resourcePath": "string",
  "currentThumbnailContentTypeUrn": "string"
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}